Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QRect

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QRect class reference

### Public Functions

- void coords ( int * xp1, int * yp1, int * xp2, int * yp2 ) const
- QCOORD & rBottom ()
- QCOORD & rLeft ()
- QCOORD & rRight ()
- QCOORD & rTop ()
- void rect ( int * x, int * y, int * w, int * h ) const

## Member Function Documentation

### void QRect::coords ( int * xp1, int * yp1, int * xp2, int * yp2 ) const

Use getCoords() instead.

### QCOORD & QRect::rBottom ()

Returns a reference to the bottom coordinate of the rectangle.

See also rLeft(), rTop(), and rRight().

### QCOORD & QRect::rLeft ()

Returns a reference to the left coordinate of the rectangle.

See also rTop(), rRight(), and rBottom().

### QCOORD & QRect::rRight ()

Returns a reference to the right coordinate of the rectangle.

See also rLeft(), rTop(), and rBottom().

### QCOORD & QRect::rTop ()

Returns a reference to the top coordinate of the rectangle.

See also rLeft(), rRight(), and rBottom().

### void QRect::rect ( int * x, int * y, int * w, int * h ) const

Use getRect() instead.